Package ru.bitel.bgbilling.modules.softkey.common.bean

# Class SoftkeyTransaction

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdContractId
ru.bitel.bgbilling.modules.softkey.common.bean.SoftkeyTransaction

All Implemented Interfaces:
  `Serializable`, `ContractIdable`, `Idable`

public class SoftkeyTransaction extends IdContractId

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `SOFTKEY_STATUS_ACTIVE`
  `static final int`
  `SOFTKEY_STATUS_CREATE`
  `static final int`
  `SOFTKEY_STATUS_PAUSED`
  `static final int`
  `SOFTKEY_STATUS_STOPPED`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SoftkeyTransaction()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getContractTitle()`
  `Date`
  `getDt()`
  `String`
  `getKey()`
  `int`
  `getOptionId()`
  `String`
  `getOptionTitle()`
  `int`
  `getOrderId()`
  `Date`
  `getPayDt()`
  `int`
  `getStatus()`
  `static String`
  `getStatusName(int status)`
  `String`
  `getStatusTitle()`
  `String`
  `getStringDt()`
  `BigDecimal`
  `getSubscribeAmount()`
  `int`
  `getSubscribeCount()`
  `SoftkeyTransaction`
  `setContractId(int contractId)`
  `void`
  `setContractTitle(String contractTitle)`
  `void`
  `setDt(Date dt)`
  `void`
  `setKey(String key)`
  `void`
  `setOptionId(int optionId)`
  `void`
  `setOptionTitle(String optionTitle)`
  `void`
  `setOrderId(int orderId)`
  `void`
  `setPayDt(Date payDt)`
  `void`
  `setStatus(int status)`
  `void`
  `setStatusTitle(String statusTitle)`
  `void`
  `setStringDt(String stringDt)`
  `void`
  `setSubscribeAmount(BigDecimal subscribeAmount)`
  `void`
  `setSubscribeCount(int subscribeCount)`

  ### Methods inherited from class ru.bitel.common.model.IdContractId

  `getContractId`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### SOFTKEY_STATUS_CREATE

    public static final int SOFTKEY_STATUS_CREATE
    See Also:
      - Constant Field Values

  - ### SOFTKEY_STATUS_ACTIVE

    public static final int SOFTKEY_STATUS_ACTIVE
    See Also:
      - Constant Field Values

  - ### SOFTKEY_STATUS_PAUSED

    public static final int SOFTKEY_STATUS_PAUSED
    See Also:
      - Constant Field Values

  - ### SOFTKEY_STATUS_STOPPED

    public static final int SOFTKEY_STATUS_STOPPED
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### SoftkeyTransaction

    public SoftkeyTransaction()

- ## Method Details

  - ### getOrderId

    public int getOrderId()

  - ### setOrderId

    public void setOrderId(int orderId)

  - ### setContractId

    public SoftkeyTransaction setContractId(int contractId)
    Overrides:
      `setContractId` in class `IdContractId`

  - ### getContractTitle

    public String getContractTitle()

  - ### setContractTitle

    public void setContractTitle(String contractTitle)

  - ### getDt

    public Date getDt()

  - ### setDt

    public void setDt(Date dt)

  - ### getPayDt

    public Date getPayDt()

  - ### setPayDt

    public void setPayDt(Date payDt)

  - ### getStringDt

    public String getStringDt()

  - ### setStringDt

    public void setStringDt(String stringDt)

  - ### getOptionId

    public int getOptionId()

  - ### setOptionId

    public void setOptionId(int optionId)

  - ### getOptionTitle

    public String getOptionTitle()

  - ### setOptionTitle

    public void setOptionTitle(String optionTitle)

  - ### getStatus

    public int getStatus()

  - ### setStatus

    public void setStatus(int status)

  - ### getStatusTitle

    public String getStatusTitle()

  - ### setStatusTitle

    public void setStatusTitle(String statusTitle)

  - ### getSubscribeCount

    public int getSubscribeCount()

  - ### setSubscribeCount

    public void setSubscribeCount(int subscribeCount)

  - ### getSubscribeAmount

    public BigDecimal getSubscribeAmount()

  - ### setSubscribeAmount

    public void setSubscribeAmount(BigDecimal subscribeAmount)

  - ### getKey

    public String getKey()

  - ### setKey

    public void setKey(String key)

  - ### getStatusName

    public static String getStatusName(int status)